Last Comment Bug 662891 - Require Android 2.2 (API level 8)
: Require Android 2.2 (API level 8)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Android (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: mozilla13
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
: 707298 (view as bug list)
Depends on: 617074
Blocks: 659188 nativefennecgllayers 717869 720712 723159 727142 730637 730749 730851 731315
  Show dependency treegraph
 
Reported: 2011-06-08 12:15 PDT by Matt Brubeck (:mbrubeck)
Modified: 2012-02-28 10:42 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
patch (1.15 KB, patch)
2012-02-27 09:16 PST, Matt Brubeck (:mbrubeck)
dougt: review+
Details | Diff | Review

Description Matt Brubeck (:mbrubeck) 2011-06-08 12:15:31 PDT
Most or all devices we support have been updated to Android 2.2.  (We should look at our Market statistics to confirm this.)  Dropping support for Android 2.1 and earlier would let us simplify our code by removing 2.1-specific code paths.  For example: bug 661843, bug 622684, and bug 602978.

This would also give us access to new platform APIs, like Camera.setPreviewCallbackWithBuffer (faster frame rate for camera preview) and new MotionEvent fields (simplifies multi-touch implementation).
Comment 1 Kevin Brosnan [:kbrosnan] 2011-06-08 12:55:10 PDT
Stuart said in the meeting we are still at about 10% pre-2.2.
Comment 2 Doug Turner (:dougt) 2011-06-08 13:11:21 PDT
stuart, is that just installs or pings?
Comment 3 Doug Turner (:dougt) 2011-06-15 14:39:23 PDT
2.1 still takes up 10% according to marketplace.  WONTFIX for now.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-07-14 22:57:06 PDT
2.1 is at 7.1% now
Comment 5 Matt Brubeck (:mbrubeck) 2011-07-28 15:02:12 PDT
If the usage share is at 7% now, and is currently falling at about 3% per month, then it could be pretty tiny three months from now when Firefox 8 ships, or five months from now when Firefox 9 ships.  I think it's reasonable to make this change in next release cycle or so.
Comment 6 Matt Brubeck (:mbrubeck) 2011-12-02 20:29:56 PST
*** Bug 707298 has been marked as a duplicate of this bug. ***
Comment 7 Richard Newman [:rnewman] 2012-01-14 15:47:16 PST
See also Bug 717869, which touches code that already relies on API v8.
Comment 8 Richard Newman [:rnewman] 2012-02-25 17:56:01 PST
Any closer to a final decision on this, chaps? Would like to know whether I ought to hack Base64 in (see Bug 730637).
Comment 9 Matt Brubeck (:mbrubeck) 2012-02-27 09:16:31 PST
Created attachment 600932 [details] [diff] [review]
patch

We should land this on the Maple branch because of bug 727142.
Comment 10 Doug Turner (:dougt) 2012-02-28 09:36:28 PST
Comment on attachment 600932 [details] [diff] [review]
patch

Review of attachment 600932 [details] [diff] [review]:
-----------------------------------------------------------------

agreed.  we can back this out when we do run on 2.1 without the startup crash
Comment 11 Matt Brubeck (:mbrubeck) 2012-02-28 10:11:39 PST
Landed on Maple:
https://hg.mozilla.org/projects/maple/rev/1613b71bad2e

If this is not backed out before release, we'll need to make some sort of announcement that Firefox for Android 2.0 and 2.1 is EOL.
Comment 12 Richard Newman [:rnewman] 2012-02-28 10:42:06 PST
Filed Bug 731315 to track reverting to API level 5.

Note You need to log in before you can comment on or make changes to this bug.